Page MenuHomePhabricator

PPTP authentication username and password need to be restricted
Closed, ResolvedPublic

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
hagbard created this task.Jun 27 2018, 5:53 PM
hagbard created this object in space S1 VyOS Public.
hagbard triaged this task as Normal priority.
hagbard created this object with visibility "Public (No Login Required)".
hagbard changed the task status from Open to In progress.Jun 27 2018, 6:33 PM

does only affect username in pptp and l2tp.

possibly affected:
./interfaces/bonding/node.tag/pppoe/node.tag/user-id
./interfaces/bonding/node.tag/vif/node.tag/pppoe/node.tag/user-id
./interfaces/ethernet/node.tag/pppoe/node.tag/user-id
./interfaces/ethernet/node.tag/vif/node.tag/pppoe/node.tag/user-id
./interfaces/openvpn/node.tag/authentication/username
./service/pppoe-server/authentication/local-users/username
./service/snmp/v3/trap-target/node.tag/user
./service/snmp/v3/user
./service/ssh/access-control/allow/user
./service/ssh/access-control/deny/user
./service/webproxy/authentication/ldap/username-attribute
./service/webproxy/url-filtering/squidguard/source-group/node.tag/user
./system/login/user
./system/package/repository/node.tag/username
./system/syslog/user
./vpn/l2tp/remote-access/authentication/local-users/username
./vpn/pptp/remote-access/authentication/local-users/username

hagbard moved this task from Need Triage to In Progress on the VyOS 1.2.x board.Jun 27 2018, 7:14 PM
hagbard renamed this task from PPTP authetication username and pasword need to be restricted to PPTP authentication username and password need to be restricted.Jul 3 2018, 7:16 PM
dmbaturin closed this task as Resolved.Sep 2 2018, 9:40 PM
dmbaturin edited projects, added VyOS 1.2.x (VyOS 1.2.0-rc1); removed VyOS 1.2.x.
dmbaturin added a subscriber: dmbaturin.

Have people tested it? Please reopen if it doesn't work.